Subject: Re: [COSE] [cose-issues] Add reference documenting reasons for odd CCM nonce lengths (#33)

From: Jim Schaad <[email-masked]>
Date: Sun, 01 Nov 2015 03:55:37 -0800

This is covered in RFC 3610 - the description of CCM.  There is already a reference to that document here.  Not sure why an additional reference to the same document would be useful.

---
Reply to this email directly or view it on GitHub:
https://github.com/cose-wg/cose-issues/issues/33#issuecomment-152821598

---

From: Mike Jones <[email-masked]>
Date: Sun, 01 Nov 2015 16:50:23 -0800

In JOSE, I was often asked as editor to make references to the specific sections of specs defining particular features that are used.  I would think that a reference something like this would be help implementers understand the rationale behind the choices made.

"The nonce length of 13 bytes is used because the Section 2.1 of [RFC3610] specifies a nonce length in octets of N=15-L, where L is the number of octets in the length field, and L=2 in this case."

---
Reply to this email directly or view it on GitHub:
https://github.com/cose-wg/cose-issues/issues/33#issuecomment-152883978